View Issue Details

IDProjectCategoryView StatusLast Update
0022157mantisbtinstallationpublic2017-02-01 22:48
Reporterlesbroadwater 
Assigned Toatrol 
PrioritylowSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.0.0 
Target Version2.0.1Fixed in Version2.0.1 
Summary0022157: Incorrect Error Message on MSSQL installation
Description

Server message reads: BAD SQL Server 2005 (11.0.0) or later is required for installation

Message is confusing because 11.0.0 is SQL Server 2012.

constant_inc.php line #44
define( 'DB_MIN_VERSION_MSSQL', '11.0.0' ); # MS SQL Server 2012

Steps To Reproduce

Install against an SQL 2008 Database.

TagsNo tags attached.

Relationships

Activities

lesbroadwater

lesbroadwater

2017-01-10 11:56

reporter  

mantis_install_error.jpg (6,765 bytes)
mantis_install_error.jpg (6,765 bytes)
atrol

atrol

2017-01-10 15:40

developer   ~0055036

Options:
1) change 2005 to 2012 and write a comment in constant_inc.php to change the string in install.php whenever DB_MIN_VERSION_MSSQL is changed
2) remove 2005
3) remove 2005 and tell users to look at https://support.microsoft.com/en-us/kb/321185#bookmark-completeversion

I think 1) is acceptable as we can't ensure that the link in 3) works

@dregad what do you think?

atrol

atrol

2017-01-16 07:50

developer   ~0055147

Last edited: 2017-01-16 07:50

View 2 revisions

PR https://github.com/mantisbt/mantisbt/pull/996
Implemented

2) remove 2005

as there is also no additional version information in check_database_inc.php

Related Changesets

MantisBT: master-2.0.x 2392ef96

2017-01-16 07:44:39

atrol

Details Diff
Remove wrong database version information from installer

Fixes 0022157
mod - admin/install.php Diff File

Issue History

Date Modified Username Field Change
2017-01-10 11:56 lesbroadwater New Issue
2017-01-10 11:56 lesbroadwater File Added: mantis_install_error.jpg
2017-01-10 15:21 atrol Status new => confirmed
2017-01-10 15:35 atrol Assigned To => atrol
2017-01-10 15:35 atrol Status confirmed => assigned
2017-01-10 15:40 atrol Note Added: 0055036
2017-01-16 07:50 atrol Note Added: 0055147
2017-01-16 07:50 atrol Target Version => 2.0.1
2017-01-16 07:50 atrol Description Updated View Revisions
2017-01-16 07:50 atrol Note Edited: 0055147 View Revisions
2017-01-16 14:30 atrol Changeset attached => MantisBT master-2.0.x 2392ef96
2017-01-16 14:30 atrol Status assigned => resolved
2017-01-16 14:30 atrol Resolution open => fixed
2017-01-16 14:30 atrol Fixed in Version => 2.0.1
2017-02-01 22:48 vboctor Status resolved => closed